%global commit e679f6f5fb45e52bf6d287c28983ffd5325e59b1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global alphatag .%{shortcommit}git

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:			os-cloud-config
Version:		0.4.1
Release:		6%{?dist}
Summary:		Configuration for OpenStack clouds

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:                http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

#patches_base=+4
Patch0001: 0001-add-aodh-and-gnocchi-to-keystone-service-list.patch
Patch0002: 0002-Replace-deprecated-LOG.warn-with-LOG.warning.patch
Patch0003: 0003-Formally-deprecate-os_cloud_config.nodes-in-favor-of.patch
Patch0004: 0004-Allow-customizing-keystone-endpoint-ports.patch
Patch0005: 0005-Set-compute-API-version-to-2.1-don-t-use-v3.patch
Patch0006: 0006-Updated-from-global-requirements.patch
Patch0007: 0007-Add-Heat-CloudFormation-service-for-endpoint-creatio.patch
Patch0008: 0008-Updated-from-global-requirements.patch
Patch0009: 0009-Updated-from-global-requirements.patch
Patch0010: 0010-Updated-from-global-requirements.patch
Patch0011: 0011-Fix-wrong-usage-of-novaclient.patch
Patch0012: 0012-Updated-from-global-requirements.patch

BuildArch:		noarch
BuildRequires:		python-setuptools
BuildRequires:		python-devel
BuildRequires:		python-pbr
BuildRequires:          git

Requires:		python-setuptools
Requires:		python-argparse
Requires:		python-oslo-config
Requires:		python-babel
Requires:		python-keystoneclient
Requires:		python-novaclient
Requires:		python-pbr
# Add Back Requires on python-ironicclient once it's actually available
# Requires:		python-ironicclient
Requires:		pyOpenSSL

%description
os-cloud-config offers a suite of tools and libraries used to do the initial
configuration of OpenStack clouds.

%prep
%autosetup -n %{name}-%{version} -S git

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/os_cloud_config*
%{_bindir}/generate-keystone-pki
%{_bindir}/init-keystone
%{_bindir}/init-keystone-heat-domain
%{_bindir}/register-nodes
%{_bindir}/setup-endpoints
%{_bindir}/setup-flavors
%{_bindir}/setup-neutron
%{_bindir}/upload-kernel-ramdisk

%changelog
* Fri Jul 15 2016 Thierry Vignaud <<tvignaud@redhat.com>> 0.4.1-6
- Updated from global requirements
- Fix wrong usage of novaclient

* Mon Jun 27 2016 Thierry Vignaud <<tvignaud@redhat.com>> 0.4.1-5
- Updated from global requirements

* Tue Jun 07 2016 Mike Burns <mburns@redhat.com> 0.4.1-4
- Updated from global requirements
- Updated from global requirements
- Add Heat CloudFormation service for endpoint creation
- Updated from global requirements
- Set compute API version to 2.1, don't use v3

* Fri May 13 2016 Mike Burns <mburns@redhat.com> 0.4.1-3
- Updated from global requirements
- Formally deprecate os_cloud_config.nodes in favor of tripleo-common
- Allow customizing keystone endpoint ports
- Set compute API version to 2.1, don't use v3
- add aodh and gnocchi to keystone service list

* Fri Apr  1 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0.4.1-2.fd26d9dgit
- Include keystone bugfix

* Thu Mar 31 2016 RDO <rdo-list@redhat.com> 0.4.1-1
- RC1 Rebuild for Mitaka RC1 0.4.1
